"Unable to push" error using atom snap

I just starting using the atom snap, and after adding my github account and staging and committing some changes I tried to push it to GitHub using the “Publish” button. I then got the following error:

/snap/atom/205/usr/share/atom/resources/app.asar.unpacked/node_modules/dugite/git/libexec/git-core/git-remote-https: /snap/core/current/lib/x86_64-linux-gnu/libc.so.6: version GLIBC_2.25' not found (required by /usr/lib/x86_64-linux-gnu/libgnutls.so.30) /snap/atom/205/usr/share/atom/resources/app.asar.unpacked/node_modules/dugite/git/libexec/git-core/git-remote-https: /snap/core/current/lib/x86_64-linux-gnu/libc.so.6: version GLIBC_2.26’ not found (required by /usr/lib/x86_64-linux-gnu/libp11-kit.so.0)

Is this just a case of a missing dependency in the snap package?
I’m running ubuntu 18.04 with atom version 1.32.1, snap revision 205.

I believe that’s this issue which is confirmed upstream in Atom and will be fixed in their next release.

looks promising. thanks.